---
layout: page
---

# BEITRAGENDE

* this list will be replaced by the toc
{:toc .large-only}

Copyright (c) 2020 Florian Klampfer <https://qwtel.com/>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.


## Attributions
Appropriate credit as per Creative Commons licenses.

| Work                                                   | License        | Changes
|:-------------------------------------------------------|:---------------|:-
| Photo by [Jeremy Bishop][jb]                           | [Unsplash]     | Liquify filter, blur
| Photo by [Caleb George][cg]                            | [Unsplash]     | Liquify filter, patch tool, blur
| [IcoMoon Icons Free Version][11] by [Keyamoon][12]     | [CC-BY-SA-4.0] | None
| [Touch-161562.svg][41]                                 | [CC0-1.0]      | Composition

[jb]: https://unsplash.com/photos/1braZySlEKA
[cg]: https://unsplash.com/photos/AtvuPUenaeI
[11]: https://icomoon.io/#icons-icomoon
[12]: http://keyamoon.com/
[41]: https://commons.wikimedia.org/wiki/File:Touch-161562.svg


## Licenses
Parts of this software are provided under separate licenses.

### Hyde
This software also uses portions of the
`poole/hyde`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2013 Mark Otto.


### hy-drawer
This software also uses portions of the
`hydecorp/hy-drawer`
project, which is [GPL-3.0] licensed with the following copyright:

> Copyright (c) 2018 Florian Klampfer <https://qwtel.com/>


### hy-push-state
This software also uses portions of the
`hydecorp/hy-push-state`
project, which is [GPL-3.0] licensed with the following copyright:

> Copyright (c) 2018 Florian Klampfer <https://qwtel.com/>


### RxJS
This software also uses portions of the
`ReactiveX/rxjs`
project, which is [Apache-2.0] licensed with the following copyright:

> Copyright (c) 2015-2017 Google, Inc., Netflix, Inc., Microsoft Corp. and contributors

No substantial changes to the software were made.
No `NOTICE` file was provided.


### KaTeX
This software also uses portions of the
`Khan/KaTeX`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2015 Khan Academy


### core-js
This software also uses portions of the
`zloirock/core-js`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2014-2016 Denis Pushkarev


### Web Animations
This software also uses portions of the
`web-animations/web-animations-js`
project, which is [Apache-2.0] licensed with the following copyright:

> Copyright 2014 Google Inc. All rights reserved.

No substantial changes to the software were made.
No `NOTICE` file was provided.


### Modernizr
This software also uses portions of the
`Modernizr/Modernizr`
project, which is [MIT] licensed with the following copyright:

> Copyright (c)  
>  Faruk Ates  
>  Paul Irish  
>  Alex Sexton  
>  Ryan Seddon  
>  Patrick Kettner  
>  Stu Cox  
>  Richard Herrera  


### Compress HTML in Jekyll
This software also uses portions of the
`penibelst/jekyll-compress-html`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2014 Anatol Broder


### The HTML5 Shiv
This software also uses portions of the
`aFarkas/html5shiv`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2014 Alexander Farkas (aFarkas).


### DOM4
This software also uses portions of the
`WebReflection/dom4`
project, which is [MIT] licensed with the following copyright:

> Copyright (C) 2013-2015 by Andrea Giammarchi - @WebReflection


### loadCSS
This software also uses portions of the
`filamentgroup/loadCSS`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) @scottjehl, 2016 Filament Group


### Ratchet
This software also uses portions of the
`twbs/ratchet`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2015 connors and other contributors


### Swipe
This software also uses portions of the
`thebird/Swipe`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2013 Brad Birdsall


### smoothState
This software also uses portions of the
`miguel-perez/smoothState.js`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2014 Miguel Angel Perez


### Bootstrap
This software also uses portions of the
`twbs/bootstrap`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2011-2018 Twitter, Inc.  
> Copyright (c) 2011-2018 The Bootstrap Authors


### Atom One Light Syntax
This software also uses portions of the
`atom/one-light-syntax`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2016 GitHub Inc.


### Atom One Dark Syntax
This software also uses portions of the
`atom/one-dark-syntax`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2016 GitHub Inc.


### MiniSearch
This software also uses portions of the
`lucaong/minisearch`
project, which is [MIT] licensed with the following copyright:

> Copyright 2018 Luca Ongaro


### window.fetch polyfill
This software also uses portions of the
`github/fetch`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2014-2016 GitHub, Inc.


### AbortController polyfill for abortable fetch()
This software also uses portions of the
`mo/abortcontroller-polyfill`
project, which is [MIT] licensed with the following copyright:

> Copyright (c) 2017 molsson


### ResizeObserver Polyfill
This software also uses portions of the
`juggle/resize-observer`
project, which is [Apache-2.0] licensed with the following copyright:

> Copyright 2019 JUGGLE LTD


### kv-storage polyfill
This software also uses portions of the
`GoogleChromeLabs/kv-storage-polyfill`
project, which is [Apache-2.0] licensed with the following copyright:

>  Copyright 2019 Google Inc.


### IntersectionObserver polyfill
This software also uses portions of the
`w3c/IntersectionObserver`
project, which is [W3C-20150513] licensed with the following copyright:

> Copyright 2016 Google Inc. All Rights Reserved.

No substantial changes to the software were made.


### Web Components Polyfills
This software also uses portions of the
`webcomponents/webcomponentsjs`
project, which is BSD-style licensed with the following copyright:

> Copyright (c) 2019 The Polymer Authors. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* Neither the name of Google Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

### lit-html
This software also uses portions of the
`Polymer/lit-html`
project, which is BSD-style licensed with the following copyright:

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* Neither the name of Google Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


[MIT]: licenses/MIT.md
[GPL-3.0]: licenses/GPL-3.0.md
[Apache-2.0]: licenses/Apache-2.0.md
[W3C-20150513]: licenses/W3C-20150513.md
[CC-BY-SA-4.0]: https://creativecommons.org/licenses/by-sa/4.0/
[CC-BY-SA-3.0]: https://creativecommons.org/licenses/by-sa/3.0/
[CC0-1.0]: https://creativecommons.org/publicdomain/zero/1.0/deed.en
[Unsplash]: https://unsplash.com/license

